Package org.springframework.cloud.task.batch.listener.support

# Class JdbcTaskBatchDao

java.lang.Object
org.springframework.cloud.task.batch.listener.support.JdbcTaskBatchDao

All Implemented Interfaces:
  `TaskBatchDao`

public class JdbcTaskBatchDao extends Object implements TaskBatchDao
JDBC based implementation of the `TaskBatchDao`. Intended to be used in conjunction with the JDBC based `TaskRepository`

Author:
  Michael Minella, Glenn Renfro

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JdbcTaskBatchDao(DataSource dataSource)`
  Intializes the JdbcTaskBatchDao and defaults the table prefix to `TaskProperties.DEFAULT_TABLE_PREFIX`.
  `JdbcTaskBatchDao(DataSource dataSource, String tablePrefix)`
  Intializes the JdbcTaskBatchDao.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `saveRelationship(TaskExecution taskExecution, org.springframework.batch.core.JobExecution jobExecution)`
  Saves the relationship between a task execution and a job execution.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JdbcTaskBatchDao

    public JdbcTaskBatchDao(DataSource dataSource, String tablePrefix)
    Intializes the JdbcTaskBatchDao.
    Parameters:
      `dataSource` - `DataSource` where the task batch table resides.
      `tablePrefix` - the table prefix to use for this dao.

  - ### JdbcTaskBatchDao

    public JdbcTaskBatchDao(DataSource dataSource)
    Intializes the JdbcTaskBatchDao and defaults the table prefix to `TaskProperties.DEFAULT_TABLE_PREFIX`.
    Parameters:
      `dataSource` - `DataSource` where the task batch table resides.

- ## Method Details

  - ### saveRelationship

    public void saveRelationship(TaskExecution taskExecution, org.springframework.batch.core.JobExecution jobExecution)
    Description copied from interface: `TaskBatchDao`
    Saves the relationship between a task execution and a job execution.
    Specified by:
      `saveRelationship` in interface `TaskBatchDao`
    Parameters:
      `taskExecution` - task execution
      `jobExecution` - job execution